C++ Utilities: CppUtilities::ApplicationInfo Struct Reference

C++ Utilities 5.34.2 Useful C++ classes and routines such as argument parser, IO and conversion utilities

Loading...
Searching...
No Matches
Public Attributes | List of all members
CppUtilities::ApplicationInfo Struct Reference

Stores information about an application. More...

`#include <argumentparser.h>`

Collaboration diagram for CppUtilities::ApplicationInfo:
[legend]

## Public Attributes
const char * | name = nullptr
const char * | author = nullptr
const char * | version = nullptr
const char * | url = nullptr
const char * | domain = nullptr
const char * | description = nullptr
const char * | license = nullptr
const char * | credits = nullptr
std::vector< const char * > | dependencyVersions

## Detailed Description

Stores information about an application.

Definition at line 23 of file argumentparser.h.

## Member Data Documentation

## ◆ author

const char* CppUtilities::ApplicationInfo::author = nullptr

Definition at line 25 of file argumentparser.h.

## ◆ credits

const char* CppUtilities::ApplicationInfo::credits = nullptr

Definition at line 31 of file argumentparser.h.

## ◆ dependencyVersions

std::vector<const char *> CppUtilities::ApplicationInfo::dependencyVersions

Definition at line 32 of file argumentparser.h.

## ◆ description

const char* CppUtilities::ApplicationInfo::description = nullptr

Definition at line 29 of file argumentparser.h.

## ◆ domain

const char* CppUtilities::ApplicationInfo::domain = nullptr

Definition at line 28 of file argumentparser.h.

## ◆ license

const char* CppUtilities::ApplicationInfo::license = nullptr

Definition at line 30 of file argumentparser.h.

## ◆ name

const char* CppUtilities::ApplicationInfo::name = nullptr

Definition at line 24 of file argumentparser.h.

## ◆ url

const char* CppUtilities::ApplicationInfo::url = nullptr

Definition at line 27 of file argumentparser.h.

## ◆ version

const char* CppUtilities::ApplicationInfo::version = nullptr

Definition at line 26 of file argumentparser.h.

The documentation for this struct was generated from the following file:

- application/argumentparser.h